---
title: "round"
subtitle: "Function in std::math"
excerpt: "Round a number to the nearest integer."
layout: manual
---

Round a number to the nearest integer.

```kcl
round(@input: number): number
```



### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `input` | [`number`](/docs/kcl-std/types/std-types-number) | A number. | Yes |

### Returns

[`number`](/docs/kcl-std/types/std-types-number) - A number.


### Examples

```kcl
sketch001 = startSketchOn(XZ)
   |> startProfile(at = [0, 0])
   |> line(endAbsolute = [12, 10])
   |> line(end = [round(7.02986), 0])
   |> yLine(endAbsolute = 0)
   |> close()

extrude001 = extrude(sketch001, length = 5)
```

![Rendered example of round 0](data:image/png;base64,[encoded data, 80660 characters])


